<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Онлайн город'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();


$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){



$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo'<img src="img/bk.png" alt="+"> Деньги: <font color="red">'.$user['gorod_money'].'$</font><br/>
<img src="img/inf.png" alt="+"> Опыт: <font color="red">'.$user['gorod_opit'].'</font><br/>
<img src="img/zd.png" alt="+"> Здоровье: <font color="red">'.$user['gorod_life'].'%</font><div class="menu_razd">Список заданий</div>';
$k_post=mysql_result(mysql_query("SELECT count(*) FROM `gorod_zadanie`"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){echo 'Пока нет заданий!';break;};

$q=mysql_query("SELECT * FROM `gorod_zadanie` ORDER BY `price` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($q)){

echo'<img src="img/inf.png" alt="+"> <font color="red">'.$row['name'].'</font><br/>';

echo'<img src="img/inf.png" alt="+"> Описание: <font color="red">'.$row['opis'].'</font><br/>';

echo'<img src="img/inf.png" alt="+"> Оплата: <font color="red">+'.$row['price'].'$</font><br/>';

echo'<img src="img/inf.png" alt="+"> Опыт: <font color="red">+'.$row['opit'].'</font><br/>';

echo'<img src="img/inf.png" alt="+"> Здоровье: <font color="red">-'.$row['lifes'].'%</font><br/>';

echo'<img src="img/ok.png" alt="+"> <a href="zadanie.php?action=buy&amp;id='.$row['id'].'">Выполнить</a><br/>';
};

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц
break;



case 'buy':
$id=(int)$_GET['id'];
if(!$id){echo 'Пустые параметры!';break;};
$x=mysql_query("SELECT * FROM `gorod_zadanie` WHERE `id`='$id'");
if(!mysql_num_rows($x)){echo 'Такого задания не существует!';break;};
$x=mysql_fetch_assoc($x);

if($user['gorod_life']<$x['lifes']){
echo''.$user['nick'].', y тeбя слабое здоровье,сходи в аптеку и возвращайся.<br/>';
}else{
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`+'".$x['price']."' WHERE `id`='".$user['id']."'");
mysql_query("UPDATE `user` SET `gorod_life`=`gorod_life`-'".$x['lifes']."' WHERE `id`='".$user['id']."'");

mysql_query("UPDATE `user` SET `gorod_opit`=`gorod_opit`+'".$x['opit']."' WHERE `id`='".$user['id']."'");

echo '<img src="img/inf.png" alt="+"> Tы успешно выполнил(a) задание: '.$x['name'].'<br/>';

echo'<img src="img/inf.png" alt="+"> Опыт: <b><font color="red">+'.$x['opit'].'</font></b><br/>';
echo'<img src="img/inf.png" alt="+"> Деньги: <b><font color="red">+'.$x['price'].'$</font></b><br/>';

echo'<img src="img/inf.png" alt="+"> Здоровье: <b><font color="red">-'.$x['lifes'].'</font></b><br/>';

};
break;









};
echo '<div class="foot"><a href="index.php">В меню игры</a></div>';
}else{echo '<div class="msg">Mafia Wars закрытa администратором!</div>';};

}else{
echo '<div class="msg">Mafia Wars доступнa только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>